Bug 301563 - camera:/ shows a not connected device, removing not possible
Summary: camera:/ shows a not connected device, removing not possible
Status: RESOLVED FIXED
Alias: None
Product: kio
Classification: Unclassified
Component: kamera (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Marcus Meissner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-10 09:45 UTC by Jakub Januszkiewicz
Modified: 2012-06-25 05:47 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jakub Januszkiewicz 2012-06-10 09:45:39 UTC
The camera:/ protocol shows devices which are not connected to the computer.
For example, it shown a Creative ZEN that I have plugged in one time and which I no longer own.
An attempt to remove that device (right click, delete) ends with an error (error code 150).
It also shown all the cameras my friends have plugged to my computer.

It is a problem for programs like Gwenview, which uses the camera protocol for downloading photos - I always have to pick the correct device from a large number of devices, even if only one camera is actually connected.

Reproducible: Always




KDE 4.8.3.
Comment 1 Marcus Meissner 2012-06-20 22:29:00 UTC
just committed a patch that only shows usb cameras if they are autodetected. it no longer
remembers usb cameras over time.
Comment 2 Jakub Januszkiewicz 2012-06-21 16:43:28 UTC
This is great, thank you. Will the fix be in 4.9?
Comment 3 Marcus Meissner 2012-06-25 05:47:19 UTC
kde 4.9 wasnt yet tagged, so yes it will be.